Subject: bug#14337: Acknowledgement (Nothing to be done for `base.log'.)

From: Stefano Lattarini <[email-masked]>
Date: Fri, 03 May 2013 15:41:16 +0200

On 05/03/2013 03:37 PM, Bruce Korb wrote:
> On 05/03/13 02:27, Stefano Lattarini wrote:
>> retitle 14337 Uncleer error messages when a test script is missing
>> severity 14337 minor
>> tags 14337 wontfix
>> thanks
> 
> Meets _my_ expectation... :)
> 
>>> Never mind.  I think the test driver code should say something
>>> useful, however.  I neglected to notice that EXTRA_DIST should
>>> include $(TESTS) or the tests won't get rolled into the tarball.
>>>
>>> test -f $test_file || { echo cannot find $test_file ; exit 1 } 1>&2
>>>
>> That would prevent the user to use the contents of $(TESTS) as
> 
> If someone were to type "make dist TESTS=bogus", then they get what they deserve :)
> 
>> Not sure how actually useful that usage can be, but I see no
>> pressing reasons to change the status quo ATM.  Other people might
>> think differently though, and I'm ready to change my mind, so I
>> won't close this report for the moment being.
> 
> I think clear error messages are always important, even if the
> circumstances are rare.  If you know how to give the hapless user
> (like me) better guidance, it's best to do so.  Messages about
> "nothing to be done for base.log" are much more obscure than
> "no rule to make target" or "cannot find base.test".
>
The point is that,in the scenario I explained, it *is* valid to have
entries in $(TESTS) that have no corresponding script on the
filesystem...

Regards,
  Stefano